package com.tofly.ghrq_route.module.pipeAnalyze.domain;

public class PipeAnalyzeMustShutFeatureBean {
    /**
     * attributes : {"OBJECTID":12,"layerdbname":"VALVE","layername":"阀门","sourceoid":"9197","mustshut":1}
     * geometry : {"x":500925.0669999998,"y":3446254.262}
     */

    private AttributesBean attributes;
    private GeometryBean geometry;

    public AttributesBean getAttributes() {
        return attributes;
    }

    public void setAttributes(AttributesBean attributes) {
        this.attributes = attributes;
    }

    public GeometryBean getGeometry() {
        return geometry;
    }

    public void setGeometry(GeometryBean geometry) {
        this.geometry = geometry;
    }

    public static class AttributesBean {
        /**
         * OBJECTID : 12
         * layerdbname : VALVE
         * layername : 阀门
         * sourceoid : 9197
         * mustshut : 1
         */

        private int OBJECTID;
        private String layerdbname;
        private String layername;
        private String sourceoid;
        private int mustshut;

        public int getOBJECTID() {
            return OBJECTID;
        }

        public void setOBJECTID(int OBJECTID) {
            this.OBJECTID = OBJECTID;
        }

        public String getLayerdbname() {
            return layerdbname;
        }

        public void setLayerdbname(String layerdbname) {
            this.layerdbname = layerdbname;
        }

        public String getLayername() {
            return layername;
        }

        public void setLayername(String layername) {
            this.layername = layername;
        }

        public String getSourceoid() {
            return sourceoid;
        }

        public void setSourceoid(String sourceoid) {
            this.sourceoid = sourceoid;
        }

        public int getMustshut() {
            return mustshut;
        }

        public void setMustshut(int mustshut) {
            this.mustshut = mustshut;
        }
    }

    public static class GeometryBean {
        /**
         * x : 500925.0669999998
         * y : 3446254.262
         */

        private double x;
        private double y;

        public double getX() {
            return x;
        }

        public void setX(double x) {
            this.x = x;
        }

        public double getY() {
            return y;
        }

        public void setY(double y) {
            this.y = y;
        }
    }
}
